# module Cairo::PDFVersion

cairo_pdf_version_t

### Constants

VERSION_1_4
VERSION_1_5

### Public Class Methods

list() click to toggle source

    static VALUE
    cr_pdf_get_versions (VALUE self)
    {
      VALUE rb_versions;
      const cairo_pdf_version_t *versions;
      int i, n_versions;

      cairo_pdf_get_versions (&versions, &n_versions);

      rb_versions = rb_ary_new2 (n_versions);
      for (i = 0; i < n_versions; i++)
        {
          rb_ary_push (rb_versions, INT2NUM (versions[i]));
        }

      return rb_versions;
    }

name(*args) click to toggle source

    static VALUE
    cr_pdf_version_to_string (int argc, VALUE *argv, VALUE self)
    {
      if (argc == 0)
        {
          return rb_call_super (argc, argv);
        }
      else
        {
          VALUE version;
          rb_scan_args (argc, argv, "1", &version);
          return rb_str_new2 (cairo_pdf_version_to_string (RVAL2CRPDFVERSION (version)));
        }
    }